summaryrefslogtreecommitdiff
path: root/debian/bitmask.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/bitmask.postinst')
-rw-r--r--debian/bitmask.postinst29
1 files changed, 29 insertions, 0 deletions
diff --git a/debian/bitmask.postinst b/debian/bitmask.postinst
new file mode 100644
index 00000000..ee416647
--- /dev/null
+++ b/debian/bitmask.postinst
@@ -0,0 +1,29 @@
+#! /bin/sh
+set -e
+
+case "$1" in
+ configure)
+ if [ -e /usr/share/icons/hicolor/icon-theme.cache ]; then
+ rm /usr/share/icons/hicolor/icon-theme.cache
+ fi
+ if [ -x /usr/bin/gtk-update-icon-cache-3.0 ]; then
+ gtk-update-icon-cache-3.0 -q -t -f /usr/share/icons/hicolor
+ elif [ -x /usr/bin/gtk-update-icon-cache ]; then
+ gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+if [ "$1" = "triggered" ]; then
+ exit 0
+fi
+
+#DEBHELPER#